Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.autonomy.aci
Class ActionParameter

    java.lang.Object
      com.autonomy.utilities.NameValuePair
          com.autonomy.aci.ActionParameter

public class ActionParameter
extends com.autonomy.utilities.NameValuePair

`ActionParameter`s are used to set the values of ACI action parameters on `AciAction`s before these are sent to an ACI server. The parameter values can be set as `String`s, `int`s, `long`s, `float`s, `double`s and `boolean`s but are always converted to `String`s and URL encoded (using the character encoding set on the `AciConnection` used) before being sent to the ACI server.

Constructor Summary
`ActionParameter()` Instantiate an empty `ActionParameter`.
`ActionParameter(java.lang.String sName, java.util.ArrayList alValues)` Set the value of an action parameter to a list of values.
`ActionParameter(java.lang.String sName, boolean bValue)` Instantiate an empty `ActionParameter` with the given name and `boolean` value.
`ActionParameter(java.lang.String sName, double dValue)` Instantiate an empty `ActionParameter` with the given name and `double` value.
`ActionParameter(java.lang.String sName, float fValue)` Instantiate an empty `ActionParameter` with the given name and `float` value.
`ActionParameter(java.lang.String sName, int nValue)` Instantiate an empty `ActionParameter` with the given name and `int` value.
`ActionParameter(java.lang.String sName, long lValue)` Instantiate an empty `ActionParameter` with the given name and `long` value.
`ActionParameter(java.lang.String sName, java.lang.String sValue)` Instantiate an empty `ActionParameter` with the given name and `String` value.

Method Summary
`boolean` | `equals(java.lang.Object o)` Test whether an object is the same as this one.
`static java.lang.String` | `getSeparator()` Read the string used to separate multiple parameter values.
`static void` | `setSeparator(java.lang.String sSeparator)` Change the string used to separate parameter values.

Methods inherited from class com.autonomy.utilities.NameValuePair
`getName, getValue, setName, setValue`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionParameter

    public ActionParameter()

  Instantiate an empty `ActionParameter`. A name and value must be set on this using `setName` and `setValue` before the parameter is added to an `AciAction`.

### ActionParameter

    public ActionParameter(java.lang.String sName,
                           java.lang.String sValue)

  Instantiate an empty `ActionParameter` with the given name and `String` value.

Parameters:
  `sName` - the name of the action parameter.
  `sValue` - the value of the action parameter.

### ActionParameter

    public ActionParameter(java.lang.String sName,
                           int nValue)

  Instantiate an empty `ActionParameter` with the given name and `int` value.

Parameters:
  `sName` - the name of the action parameter.
  `nValue` - the value of the action parameter.

### ActionParameter

    public ActionParameter(java.lang.String sName,
                           long lValue)

  Instantiate an empty `ActionParameter` with the given name and `long` value.

Parameters:
  `sName` - the name of the action parameter.
  `lValue` - the value of the action parameter.

### ActionParameter

    public ActionParameter(java.lang.String sName,
                           float fValue)

  Instantiate an empty `ActionParameter` with the given name and `float` value.

Parameters:
  `sName` - the name of the action parameter.
  `fValue` - the value of the action parameter.

### ActionParameter

    public ActionParameter(java.lang.String sName,
                           double dValue)

  Instantiate an empty `ActionParameter` with the given name and `double` value.

Parameters:
  `sName` - the name of the action parameter.
  `dValue` - the value of the action parameter.

### ActionParameter

    public ActionParameter(java.lang.String sName,
                           boolean bValue)

  Instantiate an empty `ActionParameter` with the given name and `boolean` value.

Parameters:
  `sName` - the name of the action parameter.
  `bValue` - the value of the action parameter.

### ActionParameter

    public ActionParameter(java.lang.String sName,
                           java.util.ArrayList alValues)

  Set the value of an action parameter to a list of values. The values must be `String`s and are separated by the string given by `setSeparator()`. The values are not URL escaped before being concatenated so the caller must do this prior calling the constructor if it is necessary (e.g multiple document references in a suggest action).

Parameters:
  `sName` - the name of the parameter
  `alValues` - an `ArrayList` of `String`s giving the multiple parameter values.

Method Detail

### setSeparator

    public static void setSeparator(java.lang.String sSeparator)

  Change the string used to separate parameter values. By default this is '+'.

  Parameters:
    `sSeparator` - the value separator.

### getSeparator

    public static java.lang.String getSeparator()

  Read the string used to separate multiple parameter values.

  Returns:
    the value separator.

### equals

    public boolean equals(java.lang.Object o)

  Test whether an object is the same as this one. For `ActionParameter` this means whether or not the given objects `getName()` method returns the same value as this object's `getName()` (case insensitive).

  Parameters:
    `o` - the object to compare with.
  Returns:
    true of the two objects have the same name as given by `getName()`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD